Skip to main content
GET
/
cleemy-procurement
/
api
/
natures
/
{id}
Get Nature
curl --request GET \
  --url https://{host}/cleemy-procurement/api/natures/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/cleemy-procurement/api/natures/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/cleemy-procurement/api/natures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "costFamily": {
    "id": 123,
    "name": "<string>"
  },
  "accountingPlans": [
    {
      "id": 123,
      "chargeAccount": "<string>"
    }
  ]
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the nature.

Response

200 - application/json

OK

A purchase nature (category).

id
integer<int32>
read-only
name
string
costFamily
object | null
read-only

Read-only. Cost family of this nature.

state
enum<string>
Available options:
Enabled,
Disabled
accountingPlans
object[]

Accounting plans for this nature.